import { axios } from '@/utils/request'
// 新用户注册量
export const getNewRegister = params => {
  const url = `/customer/queryRegisterCustomerNumList`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 分时投递记录
export const getTimeSharingLog = params => {
  const url = `/putInTimeShareing/queryDeliveryLogInfo`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 投递量前五站站点
export const getDeliveryTop = params => {
  const url = `/deliveryLog/deliveryStationInfo`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 热力图
export const getHeatMapData = params => {
  const url = `/deliveryLog/queryStationInfoWithDeliveryTimes`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取当前地区经纬度
export const getLocationCode = params => {
  const url = `/station/queryLocationByLocationCode?keyword=${params.keyword}`
  return axios({
    url: url,
    method: 'GET'
  })
}