import { axios } from '@/utils/request'

// 垃圾投递分时查询表
// 列表查询
export const getPutInTimeList = (params) => {
  const url = `putInTimeShareing/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 导出
export const exportTnTimeForm = (params) => {
  return axios.request({
    url: 'putInTimeShareing/exportPutInTimeShareing',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 合计
export const getDetailTotal = (params) => {
  const url = `putInTimeShareing/sumAllOfDetail`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
/**
 * 垃圾投递汇总表
 */
// 列表查询
export const getSumList = (params) => {
  const url = `putInTimeShareing/querySum/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 导出
export const exportSumForm = (params) => {
  return axios.request({
    url: 'putInTimeShareing/exportPutInTimeShareingSum',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 合计
export const getSumTotal = (params) => {
  const url = `putInTimeShareing/sumAllOfSum`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
